InfoDisplayListener (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Interface InfoDisplayListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  InformationDelegator, ScaleFilterLayer

    public interface InfoDisplayListener

extends java.util.EventListener

Listens for requests to display information.

Method Summary
`void` | `requestBrowserContent(InfoDisplayEvent event)` Request that plain text or html text be displayed in a browser.
`void` | `requestCursor(java.awt.Cursor cursor)` Request that the MapBean cursor be set to a certain type.
`void` | `requestHideToolTip()` Request a tool tip be hidden.
`void` | `requestInfoLine(InfoDisplayEvent event)` Request to have an information line displayed in an application status window.
`void` | `requestMessage(InfoDisplayEvent event)` Request to have a message displayed in a dialog window.
`void` | `requestShowToolTip(InfoDisplayEvent event)` Request a tool tip be shown.
`void` | `requestURL(InfoDisplayEvent event)` Request to have a URL displayed in a Browser.

Method Detail

### requestURL

    void requestURL(InfoDisplayEvent event)

  Request to have a URL displayed in a Browser.

  Parameters:
    `event` - InfoDisplayEvent

### requestMessage

    void requestMessage(InfoDisplayEvent event)

  Request to have a message displayed in a dialog window.

  Parameters:
    `event` - InfoDisplayEvent

### requestInfoLine

    void requestInfoLine(InfoDisplayEvent event)

  Request to have an information line displayed in an application status window.

  Parameters:
    `event` - InfoDisplayEvent

### requestBrowserContent

    void requestBrowserContent(InfoDisplayEvent event)

  Request that plain text or html text be displayed in a browser.

  Parameters:
    `event` - InfoDisplayEvent

### requestCursor

    void requestCursor(java.awt.Cursor cursor)

  Request that the MapBean cursor be set to a certain type.

  Parameters:
    `cursor` - java.awt.Cursor to set over the MapBean.

### requestShowToolTip

    void requestShowToolTip(InfoDisplayEvent event)

  Request a tool tip be shown.

  Parameters:
    `event` - The InfoDisplayEvent containing the text and requestor.

### requestHideToolTip

    void requestHideToolTip()

  Request a tool tip be hidden.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details